summaryrefslogtreecommitdiff
path: root/init.d/tmpfilesd.boot.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/tmpfilesd.boot.in')
-rw-r--r--init.d/tmpfilesd.boot.in18
1 files changed, 18 insertions, 0 deletions
diff --git a/init.d/tmpfilesd.boot.in b/init.d/tmpfilesd.boot.in
new file mode 100644
index 0000000..838bdd8
--- /dev/null
+++ b/init.d/tmpfilesd.boot.in
@@ -0,0 +1,18 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Released under the 2-clause BSD license.
+
+description="Create tmpfiles.d entries (boot)"
+
+depend()
+{
+ need localmount
+}
+
+start()
+{
+ ebegin "${description/Create/Creating}"
+ @LIBEXECDIR@/sh/tmpfiles.sh --create ${tmpfiles_opts}
+ eend $?
+ return 0
+}